description

# Timeline class Null safety

Add to the timeline.

Timeline's methods add synchronous events to the timeline. When generating a timeline in Chrome's tracing format, using Timeline generates "Complete" events. Timeline's startSync and finishSync can be used explicitly, or implicitly by wrapping a closure in timeSync. For example:

    Timeline.startSync("Doing Something");
    doSomething();
    Timeline.finishSync();

Or:

    Timeline.timeSync("Doing Something", () {
      doSomething();
    });

## Constructors

Timeline()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

now → int
  The current time stamp from the clock used by the timeline. Units are microseconds. [...]
  read-only

## Static Methods

finishSync() → void
  Finish the last synchronous operation that was started.
instantSync(String name, {Map? arguments}) → void
  Emit an instant event.
startSync(String name, {Map? arguments, Flow? flow}) → void
  Start a synchronous operation labeled `name`. Optionally takes a Map of `arguments`. This slice may also optionally be associated with a Flow event. This operation must be finished before returning to the event queue.
timeSync<T>(String name, TimelineSyncFunction<T> function, {Map? arguments, Flow? flow}) → T
  A utility method to time a synchronous `function`. Internally calls `function` bracketed by calls to startSync and finishSync.